unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, LockDemo, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    mdLockDemo1: TmdLockDemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    S : TmdLockDemo;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Button2.Enabled := True;
  Button1.Enabled := False;
  Button4.Enabled := False;
  Button3.Enabled := False;
  S := TmdLockDemo.Create(NIL);    { Create a instance of the Demo component in
                               runtime - won't be allowed }
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Button2.Enabled := True;
  Button1.Enabled := False;
  Button4.Enabled := False;
  Button3.Enabled := False;
  S := TmdLockDemo.Create(NIL);    { Create a instance of the Demo
                                     component in runtime }
  S.About.Register('Demo test','','TmdLockDemo','DEMO-0463-3543-0003');
                             { Register the component straight after, and
                               the component can be used! }
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  S.Free;
  S := NIL;
  Button2.Enabled := False;
  Button1.Enabled := True;
  Button4.Enabled := True;
  Button3.Enabled := True;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Button2.Enabled := True;
  Button1.Enabled := False;
  Button4.Enabled := False;
  Button3.Enabled := False;
  S := TmdLockDemo.Create(NIL);    { Create a instance of the Demo
                                     component in runtime }
  Try
    S.About.Register('','','','');
  except
    MessageDlg('Ha, Ha',mtInformation,[mbOK],0);
                             { Trying to catch the exception which is
                               createt will only first apear to work,
                               but then... ;-) }
  end;
end;

end.
